VERSION 5.00
Begin VB.Form frmPlot91 
   Caption         =   "frmStandard"
   ClientHeight    =   5295
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7035
   Icon            =   "Plot91.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   5295
   ScaleWidth      =   7035
   StartUpPosition =   3  'Windows-Standard
   Begin VB.ComboBox cboPort 
      Height          =   315
      Left            =   480
      Style           =   2  'Dropdown-Liste
      TabIndex        =   2
      Top             =   4680
      Width           =   1575
   End
   Begin VB.CommandButton cmdEnde 
      Caption         =   "ENDE"
      Height          =   375
      Left            =   3960
      TabIndex        =   1
      Top             =   4680
      Width           =   1335
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "START"
      Height          =   375
      Left            =   5400
      TabIndex        =   0
      Top             =   4680
      Width           =   1335
   End
   Begin VB.Label lblY 
      Alignment       =   2  'Zentriert
      Caption         =   "???"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   300
      Left            =   4320
      TabIndex        =   6
      Top             =   3000
      Width           =   855
   End
   Begin VB.Label lblX 
      Alignment       =   2  'Zentriert
      Caption         =   "???"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   300
      Left            =   3240
      TabIndex        =   5
      Top             =   3000
      Width           =   855
   End
   Begin VB.Label Label2 
      Caption         =   "aktuelle Koordinaten X , Y :"
      Height          =   200
      Left            =   600
      TabIndex        =   4
      Top             =   3000
      Width           =   2055
   End
   Begin VB.Label Label1 
      Caption         =   "Profi Computing : Plotter"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   24
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   615
      Left            =   480
      TabIndex        =   3
      Top             =   1560
      Width           =   6015
   End
   Begin VB.Image Image1 
      Height          =   705
      Left            =   480
      Picture         =   "Plot91.frx":0442
      Top             =   360
      Width           =   6345
   End
End
Attribute VB_Name = "frmPlot91"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ------------------------------------------------------------------------------
'
' frmPlot91(Plot91.frm)                                   Ulrich Mller 04.03.99
'                                                         Procida 400NT    VB6.0
' fischertechnik Computing Plotter 91 : Adaption des Pascal Programmes
' erforderlich : FishF532.DLL, FishF632.DLL oder FishFRT6.DLL
'                mu in Projekt | Verweise entsprechend markiert sein
'
' ------------------------------------------------------------------------------

Option Explicit

Private Const cXMotor = 1, cXImpuls = 1, cXEnde = 3
Private Const cYMotor = 2, cYEnde = 2
Private Const cStiftMotor = 3, cStiftOben = 4
Private Const cLinsenLampe = 4, cPhotoTrans = 5

Private ft As New clsFishFace    ' --- Verbindung zu den Interfaceroutinen

Private X_Pos&, Y_Pos&           ' --- Letzte Position des Stiftes
Private PC_X&, PC_Y&             ' --- Merker fr Zeichenprozedur
Private X_Richtung&, Y_Richtung& ' --- Richtung der Stiftbewegung


Private Sub Fahre_nach_XY(X&, Y&)

' --- Bestimmte Position auf dem Zeichenblatt anfahren
'     mit gesenktem Stift : Zeichnen, sonst : Positionieren

  Do
    If X <> X_Pos Then X_Position_anfahren (X)
    If Y <> Y_Pos Then Y_Position_anfahren (Y)
  Loop Until X = X_Pos And Y = Y_Pos
  
End Sub


Private Sub Plotter_initialisieren()

  lblX = "???"
  lblY = "???"
  ft.SetMotor cLinsenLampe, ftiEin
  Stift_nach_Oben
  
  ft.SetMotor cXMotor, ftiRechts    ' --- zum Endtaster
  Do
  Loop Until ft.GetInput(cXEnde)
  ft.SetMotor cXMotor, ftiAus
  
  ft.SetMotor cYMotor, ftiRechts    ' --- zum Endtaster
  Do
  Loop Until ft.GetInput(cYEnde)
  ft.SetMotor cYMotor, ftiAus
  
  X_Pos = 0
  Y_Pos = 0
  PC_X = 1
  PC_Y = 1
  
End Sub


Private Sub Stift_nach_Oben()

  ft.SetMotor cStiftMotor, ftiRechts
  Do
  Loop Until ft.GetInput(cStiftOben)
  ft.SetMotor cStiftMotor, ftiAus

End Sub

Private Sub Stift_nach_Unten()

  ft.SetMotor cStiftMotor, ftiLinks
  Do
  Loop Until Not ft.GetInput(cStiftOben)
  ft.SetMotor cStiftMotor, ftiAus
  
End Sub

Private Sub X_Position_anfahren(X&)

  Select Case PC_X
  Case 1                       ' --- Motor einschalten
    If X > X_Pos Then X_Richtung = ftiLinks Else X_Richtung = ftiRechts
    ft.SetMotor cXMotor, X_Richtung
    PC_X = PC_X + 1
  Case 2                       ' --- Feststellen ob Impulstaster offen
    If Not ft.GetInput(cXImpuls) Then PC_X = PC_X + 1
  Case 3                       ' --- Position aktualisieren
    If ft.GetInput(cXImpuls) Then
      If X_Richtung = ftiLinks Then X_Pos = X_Pos + 1 Else X_Pos = X_Pos - 1
      If X = X_Pos Then        ' --- wenn Endposition erreicht, abschalten
        ft.SetMotor cXMotor, ftiAus
        PC_X = 1
      Else
        PC_X = 2
      End If
    End If
  End Select
  lblX = X_Pos
  
End Sub

Private Sub Y_Position_anfahren(Y&)

  Select Case PC_Y
  Case 1                       ' --- Motoer einschalten
    If Y > Y_Pos Then Y_Richtung = ftiLinks Else Y_Richtung = ftiRechts
    ft.SetMotor cYMotor, Y_Richtung
    PC_Y = PC_Y + 1
  Case 2                       ' --- Feststellen ob PhotoTransistor aus
    If Not ft.GetInput(cPhotoTrans) Then PC_Y = PC_Y + 1
  Case 3                       ' --- Position aktualisieren
    If ft.GetInput(cPhotoTrans) Then
      If Y_Richtung = ftiLinks Then Y_Pos = Y_Pos + 1 Else Y_Pos = Y_Pos - 1
      If Y = Y_Pos Then        ' --- wenn Endposition erreicht, abschalten
        ft.SetMotor cYMotor, ftiAus
        PC_Y = 1
      Else
        PC_Y = 2
      End If
    End If
  End Select
  lblY = Y_Pos
  
End Sub


Private Sub cmdAction_Click()

  ft.OpenInterface cboPort.Text
  Plotter_initialisieren
  
' --- ganz einfache Zeichnung ----

  Fahre_nach_XY 10, 10
  Stift_nach_Unten
  
  Fahre_nach_XY 65, 10
  Fahre_nach_XY 125, 10
  Fahre_nach_XY 5, 1
  Fahre_nach_XY 10, 10
  Stift_nach_Oben
  
  ft.CloseInterface
  cmdEnde.SetFocus
  
End Sub


Private Sub cmdEnde_Click()

  End
  
End Sub


Private Sub Form_Load()

' --- Liste der PortNamen ---

  cboPort.Clear
  cboPort.AddItem "COM1"
  cboPort.AddItem "COM2"
  cboPort.AddItem "COM3"
  cboPort.AddItem "COM4"
  cboPort.AddItem "LPT1"
  cboPort.AddItem "LPT2"
  cboPort.AddItem "LPT3"
  cboPort.ListIndex = 5

' --- Projekt | Eigenschaften | Erstellen | ProductName
  Me.Caption = App.ProductName

End Sub


